Issue 6982 - [Feature] passing cell data to a query
Summary: [Feature] passing cell data to a query
Status: CONFIRMED
Alias: None
Product: Calc
Classification: Application
Component: ui (show other issues)
Version: OOo 1.0.1
Hardware: All All
: P4 Trivial with 2 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-14 13:12 UTC by Unknown
Modified: 2013-02-07 22:11 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Unknown 2002-08-14 13:12:35 UTC
It does not seem possible to pass the data in a spreadsheet cell into a
native JDBC query, to populate the spreadsheet.

A query of the type;

select * from invoice_data where inv_date = ?

Where the ? would refer to a cell on the parent spreadsheet.

Not having this functionality makes the whole database stuff pretty limited.
Comment 1 Frank Schönheit 2002-08-14 13:31:54 UTC
* changing Issue Type to FEATURE
* changing title to reflect that it's a request for a feature
* changing component/QA contact/owner to the appropriate values - this
is an issue of the integration of the DBA components into Calc
* adding issues@dba.openoffice.org to the CC list
Comment 2 niklas.nebel 2002-12-16 17:53:24 UTC
As it's a "feature" issue, Falko is the right owner.
Comment 3 eric.savary 2003-04-16 15:37:54 UTC
Set to "NEW"
Comment 4 falko.tesch 2003-10-27 08:55:04 UTC
Since this is a feature request please be more detailed and specific
about what exactly you want. Thx.
Comment 5 ace_dent 2008-05-16 02:37:50 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html